unit UnForAtm ;    { the accelerations due to the simple atmosphere }
interface
uses
  UnConTyp ; { for TVect3 const GeoR0 GeoAl }
var { global for debug }
  atmdens  : Extended ; { density in g/sm^3 }
  altisat  : Extended ; { height of the fly in km }
  altimin  : Extended ; { minimu for hight in km }
function AtmDensity ( hp  : Extended ) : Extended ;  { for density }
function ToGetFlyHeight ( rc  : TVect3 ) : Extended ; { for height in km }
procedure ForceDueToAtm ( tc  : Extended ;
                          rc , vc  : TVect3 ;
                          var  force  : TVect3 ) ;   { to UnForces }
implementation
uses
  UnForSop ; { for global variable SatBallCoef }
{ hp current altitude in km result density in g/sm^3 }
function AtmDensity ( hp  : Extended ) : Extended ;
var
  ha  : Extended ; { initial altitude for scale }
  ra  : Extended ; { density for this altitude }
  hs  : Extended ; { altitude scale in km }
begin
  ha:=200.0;    { initial altitude km }
  hs:=60.0;     { scale altitude   km }
  ra:=2.0e-13;  { density altitude g/sm^3 }
  AtmDensity:=ra*Exp(-(hp-ha)/hs); { result density in g/sm^3 }
end;
function ToGetFlyHeight ( rc  : TVect3 ) : Extended ; { for height in km }
var
  rr,rf  : Extended ; { range modul sin(latitude) }
begin
  rr:=Sqrt(Sqr(rc[1])+Sqr(rc[2])+Sqr(rc[3])); { range modul }
  rf:=rc[3]/rr; { sin(latitude) altitude rh km  GeoR0 GeoAl global UnConTyp }
  ToGetFlyHeight:=rr-GeoR0*(1-GeoAl*Sqr(rf)); { height in km}
end;
procedure ForceDueToAtm ( tc  : Extended ;
                          rc , vc  : TVect3 ;
                          var  force  : TVect3 ) ;
var
  rh,vv  : Extended ; { height km modul speed km/s }
  ro,ac  : Extended ; { density g/sm^3 modul acceleration km/s^2 }
begin
  vv:=Sqrt(Sqr(vc[1])+Sqr(vc[2])+Sqr(vc[3])); { speed modul }
  rh:=ToGetFlyHeight(rc); { height abobe the surface of the Earth in km }
(*  if  rh > 1.0e4  then  Exit ; { no atmosphere no force 10000 km } *)
  ro:=AtmDensity(rh); { atmosphere density in g/sm^3   SatBallCoef UnForSop }
  ac:=SatBallCoef*ro*vv;       { coefficients for force with speed modul }
  force[1]:=force[1]-ac*vc[1]; { the acceleration in x direction }
  force[2]:=force[2]-ac*vc[2]; { the acceleration in y direction }
  force[3]:=force[3]-ac*vc[3]; { the acceleration in z direction }
  atmdens:=ro; { to global atmosphere density g/sm^3 }
  altisat:=rh; { height above trhe surface in km }
  if  altimin > altisat  then  altimin:=altisat; { to find hmin }
end;
end.