unit UnJob063 ; { from true equator to fixed equator matrix }
interface
  procedure ForJob063 ;
implementation
uses
  UnConTyp , { for constant MJD2000 epoch 51544.5 }
  UnForDat , { for FromDateToMJD  function }
  UnForTim , { for TransUTCtoTDT TransTDTtoTDB procedures }
  UnForNut , { for ToGetEpsMean function ClcNut procedure }
  UnForPnm , { for ClcPrecAngles ClcPrecMatr procedures }
  UnForRoM ; { for FromMeanToFixEquM procedure }
procedure ForJob063 ;
var
  nd,nm,ny  : Integer ; { day month year }
  kh,km     : Integer ; { hour minute }
  sec       : Extended ; { second }
  tmjd      : Extended ; { moment in modified julian day }
  tdt,dt    : Extended ; { terrestrial time and correction }
  tdb       : Extended ; { barycentric dynamic time }
  dp,de,ep  : Extended ;
  p,u,pp,a  : TMatr33 ;  { type from UnConTyp }
begin
  WriteLn;
  WriteLn('  6.3  From true to fixed equator');
  nd:=23;
  nm:=09;
  ny:=2003;
  kh:=10;
  km:=13;
  sec:=0.0;
  tmjd:=FromDateToMJD(nd,nm,ny,kh,km,sec); { UnForDat }
  TransUTCtoTDT(tmjd,tdt,dt);  { UnForTim with correction }
  TransTDTtoTDB(tdt,tdb);      { UnForTim }
  ClcPrecMatr(MJD2000,tdb,p);  { UnForPnm }
  ep:=ToGetEpsMean(tdb);       { UnForNut mean obliquity }
  ClcNut(tdb,dp,de);           { UnForNut nutation parameter }
  ClcNutMatr(tdb,dp,de,ep,u);  { UnForNut matrix of nutation }
  FromFixToTrueEquM(tdb,pp);   { UnForRom }
  FromTrueToFixEquM(tdb,a);
  WriteLn('  InPut');
  WriteLn('  UTC moment in modified julian day');
  WriteLn('  ',tmjd:19:8,'  day with part in UTC scale');
  WriteLn('   TT moment in modified julian day');
  WriteLn('  ',tdt:19:8,'  day with part in  TT scale');
  WriteLn('  ',86400*dt:19:5,'  correction (TT-UTC) in second');
  WriteLn('  TDB moment in modified julian day');
  WriteLn('  ',tdb:19:8,'  day with part in TDB scale');
  WriteLn('  ',86400*(tdb-tdt):19:5,'  correction (TDB-TT) in second');
  WriteLn('  matrix of precession');
  WriteLn('   ','1':20,'2':20,'3':20);
  WriteLn('  1',p[1][1]:20:15,p[1][2]:20:15,p[1][3]:20:15);
  WriteLn('  2',p[2][1]:20:15,p[2][2]:20:15,p[2][3]:20:15);
  WriteLn('  3',p[3][1]:20:15,p[3][2]:20:15,p[3][3]:20:15);
  WriteLn('  matrix of nutation');
  WriteLn('   ','1':20,'2':20,'3':20);
  WriteLn('  1',u[1][1]:20:15,u[1][2]:20:15,u[1][3]:20:15);
  WriteLn('  2',u[2][1]:20:15,u[2][2]:20:15,u[2][3]:20:15);
  WriteLn('  3',u[3][1]:20:15,u[3][2]:20:15,u[3][3]:20:15);
  WriteLn('  matrix to transform from fixed to true equator');
  WriteLn('  1',pp[1][1]:20:15,pp[1][2]:20:15,pp[1][3]:20:15);
  WriteLn('  2',pp[2][1]:20:15,pp[2][2]:20:15,pp[2][3]:20:15);
  WriteLn('  3',pp[3][1]:20:15,pp[3][2]:20:15,pp[3][3]:20:15);
  WriteLn('  OutPut');
  WriteLn('  matrix to transform from true to fixed equator');
  WriteLn('  1',a[1][1]:20:15,a[1][2]:20:15,a[1][3]:20:15);
  WriteLn('  2',a[2][1]:20:15,a[2][2]:20:15,a[2][3]:20:15);
  WriteLn('  3',a[3][1]:20:15,a[3][2]:20:15,a[3][3]:20:15);
end;
end.