unit UnJob064 ; { from celestial to terrestrial system }
interface
  procedure ForJob064 ;
implementation
uses
  UnConTyp , { for const RadSec type TMatr33 }
  UnForDat , { for FromDateToMJD function }
  UnForNut , { for ToGetEpsMean function ClcNut procedure }
  UnForTim , { for TransUTCtoTDT procedure }
  UnForRoM , { for FromFixToTerraM procedure }
  UnForSit ; { for ToGetGASTime  function EarthRotMatr procedure }
procedure ForJob064 ;
var
  nd,nm,ny  : Integer ;  { day month year }
  kh,km     : Integer ;  { hour minute }
  sec,teph  : Extended ; { second , moment in TDB scale }
  delut,dt  : Extended ; { UT1-UTC in second of time }
  utc,gmst  : Extended ; { UTC moment in modified julian day }
  dp,de     : Extended ; { nutation parameters }
  tdt,gast  : Extended ; { Greenwich true sidereal time }
  p         : TMatr33 ;  { type from UnConTyp }
begin
  WriteLn;
  WriteLn('  6.4  From celestial to terrestrial system');
  nd:=7;
  nm:=3;
  ny:=2011;
  kh:=5;
  km:=45;
  sec:=0.0;
  delut:=0.0; { UT1-UTC in second of time }
  utc:=FromDateToMJD(nd,nm,ny,kh,km,sec); { UnForDat }
  gmst:=ToGetGMSTime(utc,delut);
  TransUTCtoTDT(utc,tdt,dt); { from UnForTim for terrestrial time }
  TransTDTtoTDB(tdt,teph);   { from UnForTim for barycentric time }
  ClcNut(teph,dp,de);     { nutation parameters }
  gast:=ToGetGASTime(utc,delut);
  FromFixToTerraM(utc,delut,teph,p);  { UnForRoM }
  WriteLn('  InPut');
  WriteLn('  moment in modified julian day');
  WriteLn('  ',utc:19:8,'  day with part in UTC scale');
  WriteLn('  universal time correction UT1-UTC');
  WriteLn('  ',delut:14:3,'  second of time');
  WriteLn('  moment in terrestrial time scale');
  WriteLn('  ',tdt:19:8,'  day with part in TT scale');
  WriteLn('  moment in ephemeris time scale');
  WriteLn('  ',teph:19:8,'  day with part in TDB scale');
  WriteLn('  Greenwich mean sidereal time');
  WriteLn('  ',gmst:19:12,'  in radian');
  WriteLn('  Greenwich true sidereal time');
  WriteLn('  ',gast:19:12,'  in radian');
  WriteLn('  OutPut');
  WriteLn('  from celestial to terrestrial system matrix');
  WriteLn('   ','1':19,'2':19,'3':19);
  WriteLn('  1',p[1][1]:19:12,p[1][2]:19:12,p[1][3]:19:12);
  WriteLn('  2',p[2][1]:19:12,p[2][2]:19:12,p[2][3]:19:12);
  WriteLn('  3',p[3][1]:19:12,p[3][2]:19:12,p[3][3]:19:12);
end;
end.