unit UnJob076 ; { Sun: geocentric position in celestial system }
interface
  procedure ForJob076 ;
implementation
uses
  UnConTyp , { for const RadSec type TMatr33 }
  UnForDat , { for FromDateToMJD function }
  UnForTim , { for TransUTCtoTDT procedure }
  UnForMus , { for SunNewcomb procedure }
  UnForMun ; { for BrmFixPos procedures }
procedure ForJob076 ;
var
  nd,nm,ny  : Integer ;  { day month year }
  kh,km     : Integer ;  { hour minute }
  sec       : Extended ; { second }
  utc,dt    : Extended ; { UTC moment in modified julian day }
  tdt,tdb   : Extended ; { TT and TDB moments  for this  UTC }
  al,ab,ar  : Extended ; { geocentric ecliptic position of the Sun }
  possun    : TVect3 ;   { vector in celestial system }
begin
  WriteLn;
  WriteLn('  7.6  Sun: geocentric position in celestial system');
  nd:=17;
  nm:=06;
  ny:=2019;
  kh:=5;
  km:=45;
  sec:=0.0;
  utc:=FromDateToMJD(nd,nm,ny,kh,km,sec); { UnForDat }
  TransUTCtoTDT(utc,tdt,dt); { from UnForTim for terrestrial time }
  TransTDTtoTDB(tdt,tdb);    { from UnForTim for barycentric time }
  SunNewcomb(tdb,al,ab,ar);  { UnForMus  longitude latitude range }
  BrmFixPos(tdb,al,ab,AstrUnit*ar,possun); { UnForMun }
  WriteLn('  InPut');
  WriteLn('  moment in modified julian day');
  WriteLn('  ',utc:19:8,'  day with part in UTC scale');
  WriteLn('  moment in terrestrial time scale');
  WriteLn('  ',tdt:19:8,'  day with part in TT scale');
  WriteLn('  moment in barycentric dynamic scale');
  WriteLn('  ',tdb:19:8,'  day with part in TDB scale');
  WriteLn('  geocentric ecliptic position of the Sun');
  WriteLn('  ',al:19:9,RadGra*al:19:6,'  longitude radian degree');
  WriteLn('  ',ab:19:9,RadGra*ab:19:6,'   latitude radian degree');
  WriteLn('  ',AstrUnit*ar:19:3,'  range in km');
  WriteLn('  OutPut');
  WriteLn('  geocentric position in celestial system for the Sun');
  WriteLn('  ',possun[1]:19:3,'  x coordinate in km');
  WriteLn('  ',possun[2]:19:3,'  y coordinate in km');
  WriteLn('  ',possun[3]:19:3,'  z coordinate in km');
end;
end.