unit UnJob085 ; { for acceleration in celestial system }
interface
procedure ForJob085 ;
implementation
uses
  UnConTyp , { for type TVect3 }
  UnHarmCS , { for coefficients }
  UnForKep , { FromKeplerToCart procedure }
  UnForRom , { for FromFixToTerraM procedure }
  UnForFun , { for MultMatrVec procedure }
  UnForces ; { ToSelectForce procedure }
procedure ForJob085 ;
var
  utc,teph   : Extended ;
  pose,ange  : TVect3 ;   { Kepler elements }
  vecr,vecv  : TVect3 ;   { rectangular position velocity }
  forp,forh  : TVect3 ;
  fosp,fosh  : TVect3 ;
  celterm    : TMatr33 ; { matrix from celestial to terrestrial system }
begin
  WriteLn;
  WriteLn('  8.5 Geopotential acceleration in celestial system');
  HarmCSValue ; { from UnHarmCS for coefficients }
  utc:=59865.0;
  FromFixToTerraM(utc,0.0,teph,celterm); { from UnForRom transform matrix }
  pose[1]:=FromPeriodToA(86000.0); { period in second semi-major axis km }
  pose[2]:=0.03;    { eccentricity }
  pose[3]:=1.2;     { inclination in degree }
  ange[1]:=172.1;    { the ascending node in degree }
  ange[2]:=215.0;   { argument of perigei in degree }
  ange[3]:=150.0;   { mean anomaly in degree }
  FromKeplerToCart(pose,ange,vecr,vecv); { from UnForKep }
  ToSelectForce('P',utc,vecr,vecv,forp); { from UnForces the main  }
  ToSelectForce('H',utc,vecr,vecv,forh); { from UnForces harmonics }
  MultMatrVec(celterm,forp,fosp); { to terrestrial system UnForFun }
  MultMatrVec(celterm,forh,fosh); { to terrestrial system UnForFun }
  WriteLn('  InPut');
  WriteLn('   ',utc:19:8,'  moment in UTC scale');
  WriteLn('   ',teph:19:8,'  moment in TDB scale');
  WriteLn('   ',vecr[1]:19:6,'  x  coordinate in km');
  WriteLn('   ',vecr[2]:19:6,'  y  coordinate in km');
  WriteLn('   ',vecr[3]:19:6,'  z  coordinate in km');
  WriteLn('   ',vecv[1]:19:9,'  vx velocity in km/s');
  WriteLn('   ',vecv[2]:19:9,'  vy velocity in km/s');
  WriteLn('   ',vecv[3]:19:9,'  vz velocity in km/s');
  WriteLn('  OutPut');
  WriteLn('   acceleration due to main force in terrestrial system');
  WriteLn('   ',1.0e6*fosp[1]:19:9,'  x component in milimetre per s^2');
  WriteLn('   ',1.0e6*fosp[2]:19:9,'  y component in milimetre per s^2');
  WriteLn('   ',1.0e6*fosp[3]:19:9,'  z component in milimetre per s^2');
  WriteLn('   acceleration due to main force in celestial system');
  WriteLn('   ',1.0e6*forp[1]:19:9,'  x component in milimetre per s^2');
  WriteLn('   ',1.0e6*forp[2]:19:9,'  y component in milimetre per s^2');
  WriteLn('   ',1.0e6*forp[3]:19:9,'  z component in milimetre per s^2');
  WriteLn('   acceleration due to harmonics  in terrestrial system');
  WriteLn('   ',1.0e6*fosh[1]:19:9,'  x component in milimetre per s^2');
  WriteLn('   ',1.0e6*fosh[2]:19:9,'  y component in milimetre per s^2');
  WriteLn('   ',1.0e6*fosh[3]:19:9,'  z component in milimetre per s^2');
  WriteLn('   acceleration due to harmonics  in celestial system');
  WriteLn('   ',1.0e6*forh[1]:19:9,'  x component in milimetre per s^2');
  WriteLn('   ',1.0e6*forh[2]:19:9,'  y component in milimetre per s^2');
  WriteLn('   ',1.0e6*forh[3]:19:9,'  z component in milimetre per s^2');
  utc:=55433.85;
  FromFixToTerraM(utc,0.0,teph,celterm); { from UnForRom transform matrix }
  pose[1]:=FromPeriodToA(41000.0); { period in second semi-major axis km }
  pose[2]:=0.65;    { eccentricity }
  pose[3]:=64.3;     { inclination in degree }
  ange[1]:=172.1;    { the ascending node in degree }
  ange[2]:=315.0;   { argument of perigei in degree }
  ange[3]:=81.0;   { mean anomaly in degree }
  FromKeplerToCart(pose,ange,vecr,vecv); { from UnForKep }
  ToSelectForce('P',utc,vecr,vecv,forp); { from UnForces the main  }
  ToSelectForce('H',utc,vecr,vecv,forh); { from UnForces harmonics }
  MultMatrVec(celterm,forp,fosp); { to terrestrial system UnForFun }
  MultMatrVec(celterm,forh,fosh); { to terrestrial system UnForFun }
  WriteLn('  InPut');
  WriteLn('   ',utc:19:8,'  moment in UTC scale');
  WriteLn('   ',teph:19:8,'  moment in TDB scale');
  WriteLn('   ',vecr[1]:19:6,'  x  coordinate in km');
  WriteLn('   ',vecr[2]:19:6,'  y  coordinate in km');
  WriteLn('   ',vecr[3]:19:6,'  z  coordinate in km');
  WriteLn('   ',vecv[1]:19:9,'  vx velocity in km/s');
  WriteLn('   ',vecv[2]:19:9,'  vy velocity in km/s');
  WriteLn('   ',vecv[3]:19:9,'  vz velocity in km/s');
  WriteLn('  OutPut');
  WriteLn('   acceleration due to main force in terrestrial system');
  WriteLn('   ',1.0e6*fosp[1]:19:9,'  x component in milimetre per s^2');
  WriteLn('   ',1.0e6*fosp[2]:19:9,'  y component in milimetre per s^2');
  WriteLn('   ',1.0e6*fosp[3]:19:9,'  z component in milimetre per s^2');
  WriteLn('   acceleration due to main force in celestial system');
  WriteLn('   ',1.0e6*forp[1]:19:9,'  x component in milimetre per s^2');
  WriteLn('   ',1.0e6*forp[2]:19:9,'  y component in milimetre per s^2');
  WriteLn('   ',1.0e6*forp[3]:19:9,'  z component in milimetre per s^2');
  WriteLn('   acceleration due to harmonics  in terrestrial system');
  WriteLn('   ',1.0e6*fosh[1]:19:9,'  x component in milimetre per s^2');
  WriteLn('   ',1.0e6*fosh[2]:19:9,'  y component in milimetre per s^2');
  WriteLn('   ',1.0e6*fosh[3]:19:9,'  z component in milimetre per s^2');
  WriteLn('   acceleration due to harmonics  in celestial system');
  WriteLn('   ',1.0e6*forh[1]:19:9,'  x component in milimetre per s^2');
  WriteLn('   ',1.0e6*forh[2]:19:9,'  y component in milimetre per s^2');
  WriteLn('   ',1.0e6*forh[3]:19:9,'  z component in milimetre per s^2');
end;
end.
