unit UnJob093 ; { for Sun's acceleration }
interface
procedure ForJob093 ;
implementation
uses
  UnConTyp , { for type TVect3 }
  UnForKep , { FromKeplerToCart procedure }
  UnForces ; { ToSelectForce procedure }
procedure ForJob093 ;
var
  utc        : Extended ;
  pose,ange  : TVect3 ;   { Kepler elements }
  vecr,vecv  : TVect3 ;   { rectangular position velocity }
  forp       : TVect3 ;
begin
  WriteLn;
  WriteLn('  9.3 Sun''s acceleration in celestial system');
  utc:=59865.0;
  pose[1]:=FromPeriodToA(86000.0); { period in second semi-major axis km }
  pose[2]:=0.03;    { eccentricity }
  pose[3]:=1.2;     { inclination in degree }
  ange[1]:=172.1;    { the ascending node in degree }
  ange[2]:=215.0;   { argument of perigei in degree }
  ange[3]:=150.0;   { mean anomaly in degree }
  FromKeplerToCart(pose,ange,vecr,vecv); { from UnForKep }
  ToSelectForce('S',utc,vecr,vecv,forp); { from UnForces the Sun }
  WriteLn('  InPut');
  WriteLn('   ',utc:19:8,'  moment in UTC scale');
  WriteLn('   ',vecr[1]:19:6,'  x  coordinate in km');
  WriteLn('   ',vecr[2]:19:6,'  y  coordinate in km');
  WriteLn('   ',vecr[3]:19:6,'  z  coordinate in km');
  WriteLn('   ',vecv[1]:19:9,'  vx velocity in km/s');
  WriteLn('   ',vecv[2]:19:9,'  vy velocity in km/s');
  WriteLn('   ',vecv[3]:19:9,'  vz velocity in km/s');
  WriteLn('  OutPut');
  WriteLn('   acceleration due to the Sun in celestial system');
  WriteLn('   ',1.0e6*forp[1]:19:9,'  x component in milimetre per s^2');
  WriteLn('   ',1.0e6*forp[2]:19:9,'  y component in milimetre per s^2');
  WriteLn('   ',1.0e6*forp[3]:19:9,'  z component in milimetre per s^2');
  utc:=55433.85;
  pose[1]:=FromPeriodToA(41000.0); { period in second semi-major axis km }
  pose[2]:=0.65;    { eccentricity }
  pose[3]:=64.3;     { inclination in degree }
  ange[1]:=172.1;    { the ascending node in degree }
  ange[2]:=315.0;   { argument of perigei in degree }
  ange[3]:=81.0;   { mean anomaly in degree }
  FromKeplerToCart(pose,ange,vecr,vecv); { from UnForKep }
  ToSelectForce('S',utc,vecr,vecv,forp); { from UnForces the Sun  }
  WriteLn('  InPut');
  WriteLn('   ',utc:19:8,'  moment in UTC scale');
  WriteLn('   ',vecr[1]:19:6,'  x  coordinate in km');
  WriteLn('   ',vecr[2]:19:6,'  y  coordinate in km');
  WriteLn('   ',vecr[3]:19:6,'  z  coordinate in km');
  WriteLn('   ',vecv[1]:19:9,'  vx velocity in km/s');
  WriteLn('   ',vecv[2]:19:9,'  vy velocity in km/s');
  WriteLn('   ',vecv[3]:19:9,'  vz velocity in km/s');
  WriteLn('  OutPut');
  WriteLn('   acceleration due to Sun in celestial system');
  WriteLn('   ',1.0e6*forp[1]:19:9,'  x component in milimetre per s^2');
  WriteLn('   ',1.0e6*forp[2]:19:9,'  y component in milimetre per s^2');
  WriteLn('   ',1.0e6*forp[3]:19:9,'  z component in milimetre per s^2');
end;
end.
