unit UnJob095 ; { force due to atmospheric drag }
interface
procedure ForJob095 ;
implementation
uses
  UnConTyp , { for type TVect3 }
  UnForSop , { for global var SatBallCoef  function ToGetBallCoef }
  UnForKep , { FromKeplerToCart procedure }
  UnForAtm , { for global var atmdens altisat }
  UnForces ; { ToSelectForce procedure }
procedure ForJob095 ;
var
  valueas    : Extended ; { midel area of the satellite in m^2 }
  valuems    : Extended ; { mass of the satellite in kg }
  utc        : Extended ;
  pose,ange  : TVect3 ;   { Kepler elements }
  vecr,vecv  : TVect3 ;   { rectangular position velocity }
  forp       : TVect3 ;
  statm      : String ;
begin
  WriteLn;
  WriteLn('  9.5 Forces due to atmospheric drag');
  valueas:=5.0;   { midel area in m^2 }
  valuems:=400.0; { mass in kg }
  SatBallCoef:=ToGetBallValue(valueas,valuems); { UnForSop }
  utc:=59865.0;
  pose[1]:=FromPeriodToA(40000.0); { period in second semi-major axis km }
  pose[2]:=0.72;    { eccentricity }
  pose[3]:=81.2;     { inclination in degree }
  ange[1]:=172.1;    { the ascending node in degree }
  ange[2]:=270.0;   { argument of perigei in degree }
  ange[3]:=0.0;   { mean anomaly in degree }
  FromKeplerToCart(pose,ange,vecr,vecv); { from UnForKep }
  ToSelectForce('A',utc,vecr,vecv,forp); { from UnForces atmosheric drag }
  Str(atmdens:12,statm);
  Delete(statm,9,2);
  if  Pos('E',statm) > 0
    then
      statm[Pos('E',statm)]:='e';
  WriteLn('  InPut');
  WriteLn('   ',valueas:19:3,'  midel area of the satellite in m^2');
  WriteLn('   ',valuems:19:3,'  mass of the satellite in kg');
  WriteLn('   ',SatBallCoef:19:12,'  ballistic coefficient');
  WriteLn('   ',utc:19:8,'  moment in UTC scale');
  WriteLn('   ',vecr[1]:19:6,'  x  coordinate in km');
  WriteLn('   ',vecr[2]:19:6,'  y  coordinate in km');
  WriteLn('   ',vecr[3]:19:6,'  z  coordinate in km');
  WriteLn('   ',vecv[1]:19:9,'  vx velocity in km/s');
  WriteLn('   ',vecv[2]:19:9,'  vy velocity in km/s');
  WriteLn('   ',vecv[3]:19:9,'  vz velocity in km/s');
  WriteLn('  OutPut');
  WriteLn('   ',altisat:19:3,'  height of the fly above the surface in km');
  WriteLn('   ',statm:19,'  atmospheric density in g/sm^3');
  WriteLn('   acceleration due to the atmospheric drag');
  WriteLn('   ',1.0e6*forp[1]:19:9,'  x component in milimetre per s^2');
  WriteLn('   ',1.0e6*forp[2]:19:9,'  y component in milimetre per s^2');
  WriteLn('   ',1.0e6*forp[3]:19:9,'  z component in milimetre per s^2');
end;
end.
