unit UnJob101 ; { for implicit single-sequence method }
interface
procedure ForJob101 ;
implementation
uses
  UnConTyp , { for tpe TVect3 }
  UnHarmCS , { fro coefficients }
  UnForSop , { for global variable SatReflCoef }
  UnForKep , { FromKeplerToCart procedure }
  UnEveRiM ; { for PosVelEverGrator procedure }
procedure ForJob101 ;
var
  mprt       : Byte ;
  utcn,utck  : Extended ; { start and finish moment for integration }
  vecr,vecv  : TVect3 ;   { rectangular position velocity }
  step       : Extended ; { step in second for integration }
  tbeg,tend  : Extended ;
  rbeg,vbeg  : TVect3 ;
  rend,vend  : TVect3 ;
  posk,angk  : TVect3 ;   { Kepler elements }
begin
  WriteLn;
  WriteLn('  10.1 Implicit single-sequence method');
  HarmCSValue ;   { from UnHarmCS for coefficients }
  SatReflCoef:=0; { UnForSop }
  { Raduga satellite }
  utcn:=51865.0;
  vecr[1]:=   -43203.6070000000000000;
  vecr[2]:=      932.8530000000000000;
  vecr[3]:=      105.0300000000000000;
  vecv[1]:=       -0.1083420000000000;
  vecv[2]:=       -2.9944340000000000;
  vecv[3]:=        0.0624410000000000;
  WriteLn('  InPut');
  WriteLn('   ',utcn:19:6,'  moment UTC scale in MJD');
  WriteLn('   ',vecr[1]:19:6,'  x cooordinate in km');
  WriteLn('   ',vecr[2]:19:6,'  y cooordinate in km');
  WriteLn('   ',vecr[3]:19:6,'  z cooordinate in km');
  WriteLn('   ',vecv[1]:19:6,'  vx velocity in km/s');
  WriteLn('   ',vecv[2]:19:6,'  vy velocity in km/s');
  WriteLn('   ',vecv[3]:19:6,'  vz velocity in km/s');
  WriteLn('  OutPut');
  WriteLn('  to check integration program');
  WriteLn('     calculations have been made');
  WriteLn('     only with the main force (Kepler orbit)');
  WriteLn('  parameters in listing:');
  WriteLn('  moment in HOUR from the start moment  H');
  WriteLn('  semi-major axis in km                 a');
  WriteLn('  eccentricity                          e');
  WriteLn('  inclination in degree                 i');
  WriteLn('  the ascending node in degree         OM');
  WriteLn('  the argument of perigei in degree    om');
  WriteLn('  the mean anomaly in degree            M');
  WriteLn('  H','a':14,'e':14,'i':11,'OM':13,'om':12,'M':12);
  utck:=utcn+1;    { finish moment }
  step:=900;       { step in second }
  EverInit ;       { from UnEveRiM just all }
  EverCoefNullo ;  { from UnEveRiM just all }

  CharSelF:='P';   { main forces only }

  mprt:=0;         { interval in step to print results }
  tend:=utcn;
  rend:=vecr;
  vend:=vecv;
  FromCartToKepler(rend,vend,posk,angk);
  WriteLn(Round(24.0*(tend-utcn)):3,
          posk[1]:14:6,posk[2]:14:10,posk[3]:11:6,
          angk[1]:13:6,angk[2]:12:6,angk[3]:12:6);
  while  ( tend < utck ) do
    begin
      PosVelEverGrator(step,tbeg,rbeg,vbeg,tend,rend,vend);
      mprt:=mprt+1;
      if  mprt = 4
        then
          begin
            FromCartToKepler(rend,vend,posk,angk);
            WriteLn(Round(24.0*(tend-utcn)):3,
                    posk[1]:14:6,posk[2]:14:10,posk[3]:11:6,
                    angk[1]:13:6,angk[2]:12:6,angk[3]:12:6);
            mprt:=0;
          end;
    end;
  { Molniya satellite }
  utcn:=51865.0;
  vecr[1]:=     4929.326;    {  x  coordinate in km }
  vecr[2]:=   -14681.359;    {  y  coordinate in km }
  vecr[3]:=    28808.337;    {  z  coordinate in km }
  vecv[1]:=        2.581570; {  vx velocity in km/s }
  vecv[2]:=       -0.922383; {  vy velocity in km/s }
  vecv[3]:=        1.161115; {  vz velocity in km/s }
  WriteLn('  InPut');
  WriteLn('   ',utcn:19:6,'  moment UTC scale in MJD');
  WriteLn('   ',vecr[1]:19:6,'  x cooordinate in km');
  WriteLn('   ',vecr[2]:19:6,'  y cooordinate in km');
  WriteLn('   ',vecr[3]:19:6,'  z cooordinate in km');
  WriteLn('   ',vecv[1]:19:6,'  vx velocity in km/s');
  WriteLn('   ',vecv[2]:19:6,'  vy velocity in km/s');
  WriteLn('   ',vecv[3]:19:6,'  vz velocity in km/s');
  WriteLn('  OutPut');
  WriteLn('  to check integration program');
  WriteLn('     calculations have been made');
  WriteLn('     only with the main force (Kepler orbit)');
  WriteLn('  parameters in listing:');
  WriteLn('  moment in HOUR from the start moment  H');
  WriteLn('  semi-major axis in km                 a');
  WriteLn('  eccentricity                          e');
  WriteLn('  inclination in degree                 i');
  WriteLn('  the ascending node in degree         OM');
  WriteLn('  the argument of perigei in degree    om');
  WriteLn('  the mean anomaly in degree            M');
  WriteLn('  H','a':14,'e':14,'i':11,'OM':13,'om':12,'M':12);
  utck:=utcn+1;    { finish moment }
  step:=300;       { step in second }
  EverInit ;       { from UnEveRiM just all }
  EverCoefNullo ;  { from UnEveRiM just all }

  CharSelF:='P';   { main forces only }

  mprt:=0;         { interval in step to print results }
  tend:=utcn;
  rend:=vecr;
  vend:=vecv;
  FromCartToKepler(rend,vend,posk,angk);
  WriteLn(Round(24.0*(tend-utcn)):3,
          posk[1]:14:6,posk[2]:14:10,posk[3]:11:6,
          angk[1]:13:6,angk[2]:12:6,angk[3]:12:6);
  while  ( tend < utck ) do
    begin
      PosVelEverGrator(step,tbeg,rbeg,vbeg,tend,rend,vend);
      mprt:=mprt+1;
      if  mprt = 12
        then
          begin
            FromCartToKepler(rend,vend,posk,angk);
            WriteLn(Round(24.0*(tend-utcn)):3,
                    posk[1]:14:6,posk[2]:14:10,posk[3]:11:6,
                    angk[1]:13:6,angk[2]:12:6,angk[3]:12:6);
            mprt:=0;
          end;
    end;
end;
end.