unit UnJob114 ; { for equator condition vector }
interface
procedure ForJob114 ;
implementation
uses
  UnConTyp , { for type TVect3 }
  UnForKep , { FromKeplerToCart procedure }
  UnForVec ; { ConToCart procedure }
procedure ForJob114 ;
var
  pose,ange  : TVect3 ;   { Kepler elements }
  vecr,vecv  : TVect3 ;   { rectangular position velocity }
  dist,velt  : Extended ; { components of the condition vector }
  thet,incl  : Extended ;
  node,argu  : Extended ;
begin
  WriteLn;
  WriteLn('  11.4 To calculate equator condition vector');
  pose[1]:=FromPeriodToA(86000.0); { period in second semi-major axis km }
  pose[2]:=0.03;    { eccentricity }
  pose[3]:=1.2;     { inclination in degree }
  ange[1]:=172.1;    { the ascending node in degree }
  ange[2]:=215.0;   { argument of perigei in degree }
  ange[3]:=150.0;   { mean anomaly in degree }
  FromKeplerToCart(pose,ange,vecr,vecv); { from UnForKep }
  CartToCond(vecr,vecv,dist,velt,thet,incl,node,argu); { UnForVec }
  WriteLn('  InPut');
  WriteLn('   ',vecr[1]:19:3,'  x  coordinate in km');
  WriteLn('   ',vecr[2]:19:3,'  y  coordinate in km');
  WriteLn('   ',vecr[3]:19:3,'  z  coordinate in km');
  WriteLn('   ',vecv[1]:19:6,'  vx velocity in km/s');
  WriteLn('   ',vecv[2]:19:6,'  vy velocity in km/s');
  WriteLn('   ',vecv[3]:19:6,'  vz velocity in km/s');
  WriteLn('  OutPut');
  WriteLn('   condition vector');
  WriteLn('   ',dist:19:3,' ':19,'  range in km');
  WriteLn('   ',velt:19:6,' ':19,'  velocity in km/s');
  WriteLn('   ',thet:19:10,RadGra*thet:19:6,'  angle theta radian degree');
  WriteLn('   ',incl:19:10,RadGra*incl:19:6,'  inclination radian degree');
  WriteLn('   ',node:19:10,RadGra*node:19:6,'  ascend.node radian degree');
  WriteLn('   ',argu:19:10,RadGra*argu:19:6,'  arglatitude radian degree');
  pose[1]:=FromPeriodToA(41000.0); { period in second semi-major axis km }
  pose[2]:=0.65;    { eccentricity }
  pose[3]:=64.3;     { inclination in degree }
  ange[1]:=172.1;    { the ascending node in degree }
  ange[2]:=315.0;   { argument of perigei in degree }
  ange[3]:=81.0;   { mean anomaly in degree }
  FromKeplerToCart(pose,ange,vecr,vecv); { from UnForKep }
  CartToCond(vecr,vecv,dist,velt,thet,incl,node,argu); { UnForVec }
  WriteLn('  InPut');
  WriteLn('   ',vecr[1]:19:3,'  x  coordinate in km');
  WriteLn('   ',vecr[2]:19:3,'  y  coordinate in km');
  WriteLn('   ',vecr[3]:19:3,'  z  coordinate in km');
  WriteLn('   ',vecv[1]:19:6,'  vx velocity in km/s');
  WriteLn('   ',vecv[2]:19:6,'  vy velocity in km/s');
  WriteLn('   ',vecv[3]:19:6,'  vz velocity in km/s');
  WriteLn('  OutPut');
  WriteLn('   condition vector');
  WriteLn('   ',dist:19:3,' ':19,'  range in km');
  WriteLn('   ',velt:19:6,' ':19,'  velocity in km/s');
  WriteLn('   ',thet:19:10,RadGra*thet:19:6,'  angle theta radian degree');
  WriteLn('   ',incl:19:10,RadGra*incl:19:6,'  inclination radian degree');
  WriteLn('   ',node:19:10,RadGra*node:19:6,'  ascend.node radian degree');
  WriteLn('   ',argu:19:10,RadGra*argu:19:6,'  arglatitude radian degree');
end;

end.